Subject: [5gangip] Problems I see

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 11 Jan 2018 17:34:30 +0100

I will wait for minutes from organizers of telco.

But these are the problems that I see:

- paths are too long; RO technology of MIP is not deployed; RO tech for 
NEMO is impossible

- PMIP is not deployed in cellular networks

- GTP is not specified at IETF (there is no Internet Draft on GTP)

- GTP is IPv4-only even in "IPv6-only" mobile networks

- there are too many layers in 3GPP UE protocol stacks

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 11 Jan 2018 18:02:35 +0100

Le 11/01/2018 à 17:42, FIGURELLE, TERRY F a écrit :
> GTP outside packet can be IPv4 or IPv6 using UDP or TCP.

It could, but the 3GPP spec I see says that GTP outside packet to be 
UDP, and be IPv4 only.

> While IPv4 UDP is most common particularly on roaming interfaces many
> operators use IPv6 transport plane between eNB to/from on S1-U SGW
> then on-net IPv6 for S5 to PGW.

I think I disagree.

I dont know of any operator that puts the GTP outside packet as IPv6.  I 
know two that put the GTP outside packet as IPv4.

Do you know of an operator that puts the GTP outside packet as IPv6?

> It is easier to use IPv6 given large number of eNB’s on some
> networks.

I agree it is easier to use IPv6, but is anyone using it?

> Otherwise, you are forced to use partitioned network with
> private IPv4 L
> 
> We also use IPv4 only, IPv6 only dual stack IPv4v6 for UE addressing
> for inside packet.

I agree.

Alex

---

From: "FIGURELLE, TERRY F" <[email-masked]>
Date: Thu, 11 Jan 2018 17:59:28 +0000

What spec are you looking at?

I can confirm that a production network is using IPv6 on Ericsson, Nokia and Cisco equipment for LTE in production and for CUPS in the lab. Even the probes and tools from many vendors support IPv6. Check Wireshark as an example.

The open source EPC we have in the lab also supports IPv6 interfaces. I know several other operators using IPv6 on-net for GTP and we are looking an direct roaming interfaces using IPv6.

Terry Figurelle
Lead Member of Technical Staff
Wireless Network Arch. & Design
Mobility Core
AT&T Services
[email-masked]
cell - (206)601-5157

-----Original Message-----
From: Alexandre Petrescu [mailto:[email-masked]] 
Sent: Thursday, January 11, 2018 9:03 AM
To: FIGURELLE, TERRY F <[email-masked]>; 5GANGIP <[email-masked]>
Subject: Re: [5gangip] Problems I see

I think I disagree.

I agree.

Alex

---

From: "FIGURELLE, TERRY F" <[email-masked]>
Date: Thu, 11 Jan 2018 16:42:13 +0000

GTP outside packet can be IPv4 or IPv6 using UDP or TCP. While IPv4 UDP is most common particularly on roaming interfaces many operators use IPv6 transport plane between eNB to/from on S1-U SGW then on-net IPv6 for S5 to PGW.

It is easier to use IPv6 given large number of eNB’s on some networks. Otherwise, you are forced to use partitioned network with private IPv4 ☹

We also use IPv4 only, IPv6 only dual stack IPv4v6 for UE addressing for inside packet.
Terry Figurelle
Lead Member of Technical Staff
Wireless Network Arch. & Design
Mobility Core
AT&T Services
[email-masked]<mailto:[email-masked]>
cell - (206)601-5157

From: 5gangip [mailto:[email-masked]] On Behalf Of Alexandre Petrescu
Sent: Thursday, January 11, 2018 8:35 AM
To: 5GANGIP <[email-masked]>
Subject: [5gangip] Problems I see

- paths are too long; RO technology of MIP is not deployed; RO tech for NEMO is impossible

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 11 Jan 2018 21:24:41 +0100

3GPP spec "GTP" Rel 15 of September 2017 says this:
> UDP/IP is the only path protocol defined to transfer GTP messages in
> the version 1 of GTP. A User Datagram Protocol (UDP) compliant with
> IETF RFC 768 [13] shall be used.

With respect to your comment here, I would like to reply further below.

> I can confirm that a production network is using IPv6 on Ericsson,
> Nokia and Cisco equipment for LTE in production

Does that transport IPv6 data in GTP packets in UDP/IPv6?  Or UDP/IPv4?

I bet that that production network using IPv6 on Ericsson, Nokia and 
Cisco equipment for LTE in production is also GTP UDP/IPv4, and not GTP 
UDP/IPv6.

In detail, please see below a packet coming from UE and captured on PGW. 
   For privacy reasons I substituted "[IPv4-address]" for the real IPv4 
address showed in the capture.  I also substituted "[snip]" where 
superfluous.  The complete capture is available in private.

 > INBOUND>>>>>  15:47:48:883 Eventid:142004(3)
 > GTPU Rx PDU, from [IPv4-address]:2152 to [IPv4-address-2]:2152 (129)
 > TEID: 0x80072183, Message type: GTP_TPDU_MSG (0xFF)
 > Sequence Number:: NA
 > GTP HEADER FOLLOWS:
 > [snip]
 > GTP HEADER ENDS.
 >            Payload protocol: IPv6
 > PROTOCOL PAYLOAD FOLLOWS:
 > fe80::b9d9:c10a:2c2d:3c3b.546 > ff02::2.546:  [udp sum ok]
 > IPv6 Header Follows:
 > [snip]
 > PROTOCOL PAYLOAD ENDS.

Do you have a capture of a packet on PGW, issued by UE, and saying 
[IPv6-address] instead of [IPv4-address] above?

> and for CUPS in the
> lab. Even the probes and tools from many vendors support IPv6. Check
> Wireshark as an example.

It's impossible to capture with Wireshark on PGW, because it is a big 
Cisco platform router.  That has some capturing tool in the command 
line, but it is not wireshark.

> The open source EPC we have in the lab also supports IPv6 interfaces.
> I know several other operators using IPv6 on-net for GTP and we are
> looking an direct roaming interfaces using IPv6.

This is good to know.

Alex

> 
> Terry Figurelle Lead Member of Technical Staff Wireless Network Arch.
> & Design Mobility Core AT&T Services [email-masked] cell -
> (206)601-5157
> 
> -----Original Message----- From: Alexandre Petrescu
> [mailto:[email-masked]] Sent: Thursday, January 11,
> 2018 9:03 AM To: FIGURELLE, TERRY F <[email-masked]>; 5GANGIP
> <[email-masked]> Subject: Re: [5gangip] Problems I see
> 
> 
> 
>> While IPv4 UDP is most common particularly on roaming interfaces
>> many operators use IPv6 transport plane between eNB to/from on S1-U
>> SGW then on-net IPv6 for S5 to PGW.
> 
> I think I disagree.
> 
> I dont know of any operator that puts the GTP outside packet as IPv6.
> I know two that put the GTP outside packet as IPv4.
> 
>> Otherwise, you are forced to use partitioned network with private
>> IPv4 L
>>

---

From: "FIGURELLE, TERRY F" <[email-masked]>
Date: Thu, 11 Jan 2018 21:38:28 +0000

3GPP TS 29.281 V15.0.0 (2017-09)

4.2.3       GTP-U Tunnel IP transport
Functionality for IP transport and IP fragmentation at a RAN node on the Iu interface or S12 is defined in 3GPP TS 25.414 [16].
Functionality for IP transport and IP fragmentation at an eNodeB on the S1-U and X2 interface is defined in 3GPP TS 36.300 [17].
The outer GTPv1-U packet layer shall support IPv4 as defined by IETF RFC 791 [10] and should support IPv6 as defined by IETF RFC 2460[15].

The standard has allowed for IPv6 for GTP in earlier releases but it wasn’t really pushed until AT&T required it for LTE. This was driven by AT&T’s commitment to ARIN on IPv6. If you look into the control protocol you will see information elements for both IPv4 tunnel endpoints and iPv6 tunnel endpoints. When both are present and the receiving node supports both, it should select IPv6.

Terry Figurelle

Mobility Core

AT&T Services

[email-masked]

cell - (206)601-5157

-----Original Message-----
From: Alexandre Petrescu [mailto:[email-masked]]
Sent: Thursday, January 11, 2018 12:25 PM
To: FIGURELLE, TERRY F <[email-masked]>; 5GANGIP <[email-masked]>
Subject: Re: [5gangip] Problems I see

UDP/IPv6.

This is good to know.

Alex

> & Design Mobility Core AT&T Services [email-masked]<mailto:[email-masked]> cell -

> 2018 9:03 AM To: FIGURELLE, TERRY F <[email-masked]<mailto:[email-masked]>>; 5GANGIP

> <[email-masked]<mailto:[email-masked]>> Subject: Re: [5gangip] Problems I see

>> We also use IPv4 only, IPv6 only dual stack IPv4v6 for UE

>> addressing for inside packet.

---

From: Alexandre Petrescu <[email-masked]>
Date: Fri, 12 Jan 2018 10:37:18 +0100

Le 11/01/2018 à 22:38, FIGURELLE, TERRY F a écrit :
> Functionality for IP transport and IP fragmentation at a RAN node on the 
> Iu interface or S12 is defined in 3GPP TS 25.414 [16].
> 
> Functionality for IP transport and IP fragmentation at an eNodeB on the 
> S1-U and X2 interface is defined in 3GPP TS 36.300 [17].
> 
> The outer GTPv1-U packet layer shall support IPv4 as defined by IETF RFC 
> 791 [10] and should support IPv6 as defined by IETF RFC 2460[15].

It should say: MUST IPv6 and MAY IPv4.  That's the way to migrate the 
core network.

It should say: RFC8200, instead of RFC2460.  BEcause RFC2460 is outdated.

> The standard has allowed for IPv6 for GTP in earlier releases but it 
> wasn’t really pushed until AT&T required it for LTE. This was driven by 
> AT&T’s commitment to ARIN on IPv6. If you look into the control protocol 
> you will see information elements for both IPv4 tunnel endpoints and 
> iPv6 tunnel endpoints. When both are present and the receiving node 
> supports both, it should select IPv6.

That is good to  know.

But it does not seem to happen in practice.  I have not seen GTP/IPv6 in 
the cellular network I work with.  I asked two other people at other two 
cellular networks and they say the same GTP: is on IPv4 even though IPv6 
data is transported.

Thank you for the pointers.

Alex

>  > <[email-masked] <mailto:[email-masked]>> Subject: Re: [5gangip] 
> Problems I see
> 
>  >
> 
>  >
> 
>  >
>

---

From: Behcet Sarikaya <[email-masked]>
Date: Tue, 16 Jan 2018 16:33:02 -0600

Hi Alex,

> - GTP is not specified at IETF (there is no Internet Draft on GTP)

Why do you think we need an internet draft on GTP?
3GPP already has lots of documents on GTP including GTP-U, GTP-C, etc. They
defined the protocol well there.
Maybe if you can explain what exactly you want to see in such a draft, that
may be useful,
even try to write a version 00?

> - GTP is IPv4-only even in "IPv6-only" mobile networks

This has been discussed with Terry, so maybe resolved already?

> Most of them are radio and MAC layers. I think they are adding another one
for 5G in the RAN groups of 3GPP.
Do you think we should deal with the MAC layer and see what we can do in
IETF?

Regards,
Behcet

>
> _______________________________________________
> 5gangip mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/5gangip
>
>

---

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 17 Jan 2018 08:32:57 +0100

> Nokia and Cisco equipment for LTE in production

Do you mean they run GTP on UDP/IPv6?  Or GTP on UDP/IPv4?

(I am not asking whether they offer IPv6 service to smartphone - I do
know many operators offer IPv6 service to smartphone)

> and for CUPS in the lab.

What is CUPS?

> Even the probes and tools from many vendors support IPv6. Check
> Wireshark as an example.

I will check whether wireshark has a GTP dissector.

> The open source EPC we have in the lab also supports IPv6 

What is the name of the open source EPS one has in the lab that supports
IPv6 interfaces?

> I know several other operators using IPv6 on-net for GTP

Which are these several operators?

I know branches of the following operators use GTP on UDP/IPv4 (not GTP
on UDP/IPv6) even though they do give IPv6 as a service to smartphone:
Orange, T-Mobile USA, BT.  I have also asked a few others, waiting for
answers.

> and we are looking an direct roaming interfaces using IPv6.

What is 'direct roaming interface'?

Alex

---

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 17 Jan 2018 08:34:45 +0100

Le 16/01/2018 à 23:33, Behcet Sarikaya a écrit :
> Hi Alex,
> 
> 
> On Thu, Jan 11, 2018 at 10:34 AM, Alexandre Petrescu 
> <[email-masked] <mailto:[email-masked]>> wrote:
> 

For several reasons.

We had very many disagreements on the use of this protocols in mobile 
networks.  The IETF discussions often makes no sense in this space. 
This is so because modem manufacturers, router manufacturers, operators 
and end user dont have common understanding of how GTP works, how PDP 
context setup works, and how PPP protocol is used.  This leads to 
interoperability problems.  This leads to wizardry solutions which have 
high associated costs.

Second, it is easy to write and agree on.

Third, it could be a means to clarify its IPR status in a direction 
towards more widespread adoption.

There are more reasons.

> 3GPP already has lots of documents on GTP including GTP-U, GTP-C, etc. 
> They defined the protocol well there.

YEs, I agree.  I do not propose to re-define it.  I propose to document 
it in an Internet Draft.

> Maybe if you can explain what exactly you want to see in such a draft, 
> that may be useful,

YEs, I can explain: it should contain the behaviour of GTP protocol as 
it is implemented today: message exchange, message formats, error 
conditions, IANA numbers, security, etc.

> even try to write a version 00?

Yes, I would like to write a version 00.  I would like to invite 
co-authors to join me.  The beta version is attached.

> This has been discussed with Terry, so maybe resolved already?

It is solved partially.

This is the status as I understand it:
- GTP on IPv6 _is_ specified at 3GPP: SHALL IPv4 and SHOULD IPv6.
- GTP on IPv6 open source may be working ok in lab setup
- GTP on IPv6 is not demonstrated in mobile networks, not with test
   users.  At least three mobile networks that offer IPv6-as-a-service
   on a routine basis use GTP on UDP/IPv4 (not on UDP/IPv6).

> Most of them are radio and MAC layers. I think they are adding another 
> one for 5G in the RAN groups of 3GPP.

In addition to the PHY and MAC layers there are around 3 IP layers.
I propose to use just one.

Alex

---

From: <[email-masked]>
Date: Wed, 17 Jan 2018 07:51:12 +0000

<dl> in-line as email client not behaving nicely </dl>

-----Original Message-----
From: 5gangip [mailto:[email-masked]] On Behalf Of Alexandre Petrescu
Sent: 17 January 2018 07:33
To: FIGURELLE, TERRY F <[email-masked]>; 5GANGIP <[email-masked]>
Subject: Re: [5gangip] Problems I see

(I am not asking whether they offer IPv6 service to smartphone - I do know many operators offer IPv6 service to smartphone)

<dl> Utterly non-scientific test involving 5 mobile contracts from 4 of the UK operators (3 MNOs, one MVNO) shows not one support IPv6 to the UE. </dl>

What is CUPS?

<dl> Control User-Plane Split.  Fundamental building-block of 5G core architecture based which allows different user-planes associated with a single control plane, thereby allowing differing "services" to be offered across the user-planes.   HOWEVER, this is where the arguments start (see IETF Netslices proto-WG list for nearly 2 years of arguments and counter-arguments) as no-one is actually sure what the "services" are.   One theory is that we could offer different protocol support on different user-plane slices, but this is problematic now that N3 and N6 have been defined.  The other is that we could offer different grades of service but this presupposes that we can split traffic from the UE on a "session by session" or "application by application" basis.

CUPS in 5G is the action of multiple UPFs against single AMF/SMF (or some combination of AMF+SMF leading to a single control-plane instance).  This allows scaling/placement of the UPF independently of the control-plane elements.

CUPS is also being retro-fitted to 4G with the concept of SGWc/PGWc in the control plane and multiple SGWu/PGWu in the user-plane. </dl>

I know branches of the following operators use GTP on UDP/IPv4 (not GTP on UDP/IPv6) even though they do give IPv6 as a service to smartphone:
Orange, T-Mobile USA, BT.  I have also asked a few others, waiting for answers.

Alex

---

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 17 Jan 2018 09:07:51 +0100

Le 17/01/2018 à 08:51, [email-masked] a écrit :
[...]

> <dl> Utterly non-scientific test involving 5 mobile contracts from 4
>  of the UK operators (3 MNOs, one MVNO) shows not one support IPv6 to
>  the UE. </dl>

So, I learn in UK there is no IPv6 as a service offered to smartphones.

However, there may be some trials ongoing.  One could ask, if I may
refer, Nick HEATLEY from bt.com, who some times posts in v6ops WG.  He
often talks about IPv6.

>> and for CUPS in the lab.
> 
> What is CUPS?
> 
> <dl> Control User-Plane Split.

Thanks for the definition.

> Fundamental building-block of 5G core architecture based which
> allows different user-planes associated with a single control plane,
> thereby allowing differing "services" to be offered across the
> user-planes. HOWEVER, this is where the arguments start (see IETF
> Netslices proto-WG list for nearly 2 years of arguments and
> counter-arguments) as no-one is actually sure what the "services"
> are.   One theory is that we could offer different protocol support
> on different user-plane slices, but this is problematic now that N3
> and N6 have been defined.  The other is that we could offer different
> grades of service but this presupposes that we can split traffic from
> the UE on a "session by session" or "application by application"
> basis.
> 
> CUPS in 5G is the action of multiple UPFs against single AMF/SMF (or
>  some combination of AMF+SMF leading to a single control-plane 
> instance).  This allows scaling/placement of the UPF independently of
> the control-plane elements.
> 
> CUPS is also being retro-fitted to 4G with the concept of SGWc/PGWc 
> in the control plane and multiple SGWu/PGWu in the user-plane. </dl>

Is GTP part of control plane or of data plane?

Alex

---

From: <[email-masked]>
Date: Wed, 17 Jan 2018 08:33:24 +0000

<dl> more ... </dl>

Sent from my iPhone
_____________________________
From: Alexandre Petrescu <[email-masked]>
Sent: Wednesday, January 17, 2018 8:08 am
Subject: Re: [5gangip] Problems I see
To: Lake D Mr (PG/R - Elec Electronic Eng) <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>, Nick HEATLEY <[email-masked]>

<dl> quick call to friend at UK MvNO - they offer a fixed IPv6 service at a cost - this allows a /64 to be allocated against an endpoint and apparently is used for IOT applications which require two-way connectivity.  This is a separate APN. </dl>

<dl> For 4G, Both.   GTP-u used on the S1 user-plane leg; GTP-c used between MME and SGW (S11 interface)   S1-MME (eNB to MME for control plane uses SCTP.

In 5G, the interface from gNB to AMF is N2 which I haven’t seen defined as yet (but will probably be SCTP as per current S1-MME).

However, there is no functional equivalent to S11 in 5G as the MME function has been broken out to AMF and SMF elements and it is the SMF which communicates to the multiple UPF over N4.

The protocol chosen for N4 is PFCP carrying dataplane programming verbs (eg OpenFlow).

At least, this is my current understanding and I remain to be corrected by anyone who knows more detail/recent information.

I do not attend 3gpp so I rely on collecting information from those around me who do - it is such a vast organisation that it is sometime very difficult to keep up-to-date.  </dl>

Alex

---

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 17 Jan 2018 09:55:42 +0100

Le 17/01/2018 à 09:33, [email-masked] a écrit :
> <dl> quick call to friend at UK MvNO - they offer a fixed IPv6 service 
> at a cost - this allows a /64 to be allocated against an endpoint and 
> apparently is used for IOT applications which require two-way 
> connectivity.  This is a separate APN. </dl>

Makes sense.

And, for that UK MvNO IPv6 service at a cost on the separate APN: is the 
GTP tunnel on UDP/IPv4 or on UDP/IPv6?  My speculation is that it is on 
UDP/IPv4.

Alex

> <dl> For 4G, Both.   GTP-u used on the S1 user-plane leg; GTP-c used 
> between MME and SGW (S11 interface)   S1-MME (eNB to MME for control 
> plane uses SCTP.
> 
> In 5G, the interface from gNB to AMF is N2 which I haven’t seen defined 
> as yet (but will probably be SCTP as per current S1-MME).
> 
> However, there is no functional equivalent to S11 in 5G as the MME 
> function has been broken out to AMF and SMF elements and it is the SMF 
> which communicates to the multiple UPF over N4.
> 
> At least, this is my current understanding and I remain to be corrected 
> by anyone who knows more detail/recent information.
> 
> I do not attend 3gpp so I rely on collecting information from those 
> around me who do - it is such a vast organisation that it is sometime 
> very difficult to keep up-to-date.  </dl>
> 
> Alex
> 
>

---

From: <[email-masked]>
Date: Wed, 17 Jan 2018 09:22:46 +0000

I don’t know, but I’ll ask later today....

{As an aside, I find it bizarre that a “service” such as IoT which is likely to make no money is being targeted as a service for which you need to pay extra for connectivity!!!!}

Sent from my iPhone
________________________________
From: Alexandre Petrescu <[email-masked]>
Sent: Wednesday, January 17, 2018 8:55:42 AM
To: Lake D Mr (PG/R - Elec Electronic Eng)
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [5gangip] Problems I see

Makes sense.

Alex

---

From: Ca By <[email-masked]>
Date: Wed, 17 Jan 2018 13:10:04 +0000

On Tue, Jan 16, 2018 at 11:51 PM <[email-masked]> wrote:

> (I am not asking whether they offer IPv6 service to smartphone - I do know
> many operators offer IPv6 service to smartphone)
>
> <dl> Utterly non-scientific test involving 5 mobile contracts from 4 of
> the UK operators (3 MNOs, one MVNO) shows not one support IPv6 to the UE.
> </dl>
>

BT says they have lots of ipv6 smartphones,
Please see

https://ietf.org/mail-archive/web/v6ops/current/msg27977.html

> > and for CUPS in the lab.
>
> What is CUPS?
>
> <dl> Control User-Plane Split.  Fundamental building-block of 5G core
> architecture based which allows different user-planes associated with a
> single control plane, thereby allowing differing "services" to be offered
> across the user-planes.   HOWEVER, this is where the arguments start (see
> IETF Netslices proto-WG list for nearly 2 years of arguments and
> counter-arguments) as no-one is actually sure what the "services" are.
>  One theory is that we could offer different protocol support on different
> user-plane slices, but this is problematic now that N3 and N6 have been
> defined.  The other is that we could offer different grades of service but
> this presupposes that we can split traffic from the UE on a "session by
> session" or "application by application" basis.
>
> CUPS in 5G is the action of multiple UPFs against single AMF/SMF (or some
> combination of AMF+SMF leading to a single control-plane instance).  This
> allows scaling/placement of the UPF independently of the control-plane
> elements.
>
> CUPS is also being retro-fitted to 4G with the concept of SGWc/PGWc in the
> control plane and multiple SGWu/PGWu in the user-plane. </dl>
> I know branches of the following operators use GTP on UDP/IPv4 (not GTP on
> UDP/IPv6) even though they do give IPv6 as a service to smartphone:

---

From: <[email-masked]>
Date: Wed, 17 Jan 2018 13:11:55 +0000

I have been corrected by BT.   As I said, it was an unscientific survey and in fact, I hit a corner case with BT where v6 on iOS is not supported.  I only iOS devices to test with.

From: Ca By [mailto:[email-masked]]
Sent: 17 January 2018 13:10
To: Lake D Mr (PG/R - Elec Electronic Eng) <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [5gangip] Problems I see

On Tue, Jan 16, 2018 at 11:51 PM <[email-masked]<mailto:[email-masked]>> wrote:
<dl> in-line as email client not behaving nicely </dl>

-----Original Message-----
From: 5gangip [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Alexandre Petrescu
Sent: 17 January 2018 07:33
To: FIGURELLE, TERRY F <[email-masked]<mailto:[email-masked]>>; 5GANGIP <[email-masked]<mailto:[email-masked]>>
Subject: Re: [5gangip] Problems I see

What is CUPS?

Alex

_______________________________________________
5gangip mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/5gangip
_______________________________________________
5gangip mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/5gangip

---

From: Ca By <[email-masked]>
Date: Wed, 17 Jan 2018 13:12:59 +0000

On Wed, Jan 17, 2018 at 12:33 AM <[email-masked]> wrote:

> <dl> quick call to friend at UK MvNO - they offer a fixed IPv6 service at
> a cost - this allows a /64 to be allocated against an endpoint and
> apparently is used for IOT applications which require two-way connectivity.
>  This is a separate APN. </dl>
>
> >> and for CUPS in the lab.
> >
> > What is CUPS?
> >
> between MME and SGW (S11 interface)   S1-MME (eNB to MME for control plane
> uses SCTP.
>
> In 5G, the interface from gNB to AMF is N2 which I haven’t seen defined as
> yet (but will probably be SCTP as per current S1-MME).
>
> At least, this is my current understanding and I remain to be corrected by
> anyone who knows more detail/recent information.
>
> I do not attend 3gpp so I rely on collecting information from those around
> me who do - it is such a vast organisation that it is sometime very
> difficult to keep up-to-date.  </dl>
>

It’s somewhat like trying to contribute to rocket science by attending a
cricket game.

Both  rockets and cricket use physics, and anyone can comment how it might
work.

---

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 17 Jan 2018 14:06:05 -0600

Hi Alex,

Thanks for the pdf. I read it.
It is a good start I think but needs a lot of work, especially on
clarifying the purpose.
I believe putting GTP header content in detail will help a lot to explain
many things. Also clarify that this is GTP-U is is the user plane GTP used
to tunnel UE traffic in 4G. Also 5G selected GTP, it could be to explain
all these things.

Let me ask 5gangip list members who are interested, please join Alex and
let's have a better draft in a short time.
In the meantime I can put it in xml format if you like?

Any volunteers, speak up now!

Regards,
Behcet

On Wed, Jan 17, 2018 at 1:34 AM, Alexandre Petrescu <
[email-masked]> wrote:

>> [email-masked] <mailto:[email-masked]>>
>> wrote:
>>
> networks.  The IETF discussions often makes no sense in this space. This is
> so because modem manufacturers, router manufacturers, operators and end
> user dont have common understanding of how GTP works, how PDP context setup
> works, and how PPP protocol is used.  This leads to interoperability
> problems.  This leads to wizardry solutions which have high associated
> costs.
>
> YEs, I agree.  I do not propose to re-define it.  I propose to document it
> in an Internet Draft.
>
> YEs, I can explain: it should contain the behaviour of GTP protocol as it
> is implemented today: message exchange, message formats, error conditions,
> IANA numbers, security, etc.
>

---

From: <[email-masked]>
Date: Thu, 18 Jan 2018 16:10:29 +0000

Dear all,
we have set up a call on BoF issues now – if you want to join, please free!
https://t-systems.webex.com/t-systems-en/e.php?MTID=ma8d4cf09e1cdcbc15eaa66884ffe410a
phone number is

General 0049-69-7912293
Austria 0043-57057-8910
-------------------------------------------------------
Enter the AUDIO CONFERENCE
-------------------------------------------------------

1. Dial +49 69 791 22 93
2. When asked, enter your Meeting-ID: 970 254 862

Dial in with Cisco  Jabber version 11.0 and higher: tel:+49697912293#,,970254862#

-------------------------------------------------------
International dial-in numbers
-------------------------------------------------------

If you have connection problems with an international dial-in number, or if there is no dial-in number for your country, please use the German dial-in number.

Germany: +49 69 791 2293
Austria: +43 57 057 8910
Belgium: +32 24019155
Brazil: +55 11 2184 2423
Croatia: +38514918888
Czech Republic: + 420 236 040 405
Denmark: +45 78780993
Finland: +358 753258993
France: +33 1 85 14 81 87
Greece: +30 210 611 2600
Hungary mobile: +36 30 745 8493
Hungary landline: +36 1 381 8493
Macedonia: +389 2324 2047
Malaysia: +603 8313 3232
Mexico: +52 222 223 4567
Montenegro: 382 2043 3796
Netherlands: +31 45 7111001
Poland: +48 22 413 77 77
Romania: +40 214006230
Singapore: +65 65106288
Slovakia mobile: +421 55 785 5555
South Africa (AVANTI): +27 21 974 3204
South Africa (IBG): +27 11 254 7782
Spain: +34 93 4456000
Sweden: +46 852503193
Switzerland: +41 31 528 1762
UK: +44 20 71086254
USA Downers Grove: +1 630 493 6788
USA New York: +1 212 301 6028
USA Tempe: +1 480 477 7017
USA Troy: +1 248 276 3424

For additional information, please go to DTAG Intranet: http://webex.telekom.de/en

Best Regards
Dirk

From: 5gangip [mailto:[email-masked]] On Behalf Of Behcet Sarikaya
Sent: Mittwoch, 17. Januar 2018 21:06
To: Alexandre Petrescu <[email-masked]>
Cc: 5GANGIP <[email-masked]>
Subject: Re: [5gangip] Problems I see

Hi Alex,

Thanks for the pdf. I read it.
It is a good start I think but needs a lot of work, especially on clarifying the purpose.
I believe putting GTP header content in detail will help a lot to explain many things. Also clarify that this is GTP-U is is the user plane GTP used to tunnel UE traffic in 4G. Also 5G selected GTP, it could be to explain all these things.

Let me ask 5gangip list members who are interested, please join Alex and let's have a better draft in a short time.
In the meantime I can put it in xml format if you like?

Regards,
Behcet

On Wed, Jan 17, 2018 at 1:34 AM, Alexandre Petrescu <[email-masked]<mailto:[email-masked]>> wrote:

On Thu, Jan 11, 2018 at 10:34 AM, Alexandre Petrescu <[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>> wrote:

    - paths are too long; RO technology of MIP is not deployed; RO tech
    for NEMO is impossible

For several reasons.

We had very many disagreements on the use of this protocols in mobile networks.  The IETF discussions often makes no sense in this space. This is so because modem manufacturers, router manufacturers, operators and end user dont have common understanding of how GTP works, how PDP context setup works, and how PPP protocol is used.  This leads to interoperability problems.  This leads to wizardry solutions which have high associated costs.

Third, it could be a means to clarify its IPR status in a direction towards more widespread adoption.

There are more reasons.
3GPP already has lots of documents on GTP including GTP-U, GTP-C, etc. They defined the protocol well there.

YEs, I agree.  I do not propose to re-define it.  I propose to document it in an Internet Draft.
Maybe if you can explain what exactly you want to see in such a draft, that may be useful,

YEs, I can explain: it should contain the behaviour of GTP protocol as it is implemented today: message exchange, message formats, error conditions, IANA numbers, security, etc.
even try to write a version 00?

Yes, I would like to write a version 00.  I would like to invite co-authors to join me.  The beta version is attached.
    - GTP is IPv4-only even in "IPv6-only" mobile networks

It is solved partially.

Most of them are radio and MAC layers. I think they are adding another one for 5G in the RAN groups of 3GPP.
Do you think we should deal with the MAC layer and see what we can do in IETF?

Alex

---

From: "FIGURELLE, TERRY F" <[email-masked]>
Date: Thu, 25 Jan 2018 02:24:48 +0000

We have thousands of IoT solutions and using a dedicated APN is not just very common it's the most common solution (thousands of APN's). We also partner with IBM who uses custom APN's on our network with their backend IoT solution often tied to a corporate network via AVPN (AT&T MPLS VPN with selectable encryption technology). Despite the term "Internet", most of the solutions are private Intranets. FedEx doesn't want their shipping container and vehicle traffic going over the Internet and companies don't want their probes getting DOS attacks.

Jasper's IoT solutions also use dedicated APN's (custom). It is the most common approach for IoT/3GPP at this moment.

Extra cost isn't exactly accurate either. The cost per device is significantly lower than common Internet APN's used by smartphones. Often this amounts to fractions of a penny per [device/day, device/transaction, revenue share, etc.]. There are plenty of different methods used because one size does not fit all. One customer may have 500 million devices and another only a few thousand.

Extra cost would only be accurate if they used a smartphone plan with normal APN then added a custom APN. While we support that it isn't a common solution for IoT but is used by companies that want to limit their employees "Internet" traffic on company provided smartphones while allowing unlimited corporate Intranet traffic. That can easily be done on a single APN with VPN solutions but there are security advantages to using two APN's. It is easy to manage QoS uniquely by APN and many companies request that above a usage threshold the Internet traffic is either capped with a warning message or severely throttled (selectable/manageable by the company).

Terry Figurelle

From: [email-masked] [mailto:[email-masked]]
Sent: Wednesday, January 17, 2018 1:23 AM
To: [email-masked]
Cc: FIGURELLE, TERRY F <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: [5gangip] Problems I see

I don't know, but I'll ask later today....

{As an aside, I find it bizarre that a "service" such as IoT which is likely to make no money is being targeted as a service for which you need to pay extra for connectivity!!!!}

Sent from my iPhone
________________________________
From: Alexandre Petrescu <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, January 17, 2018 8:55:42 AM
To: Lake D Mr (PG/R - Elec Electronic Eng)
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [5gangip] Problems I see

Le 17/01/2018 à 09:33, [email-masked]<mailto:[email-masked]> a écrit :
> From: Alexandre Petrescu <[email-masked]<mailto:[email-masked]>>
> To: Lake D Mr (PG/R - Elec Electronic Eng) <[email-masked]<mailto:[email-masked]>>
> Cc: <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, Nick HEATLEY <[email-masked]<mailto:[email-masked]>>
>
>
> Le 17/01/2018 à 08:51, [email-masked]<mailto:[email-masked]> a écrit :
> [...]
>

Makes sense.

Alex

> In 5G, the interface from gNB to AMF is N2 which I haven't seen defined